## Global csv_decor

boost::log::expressions::csv_decor

## Synopsis

    // In header: <boost/log/expressions/formatters/csv_decorator.hpp>

    unspecified csv_decor;

## Description

CSV-style decorator generator object. The decorator doubles double quotes that may be found in the output. See http://en.wikipedia.org/wiki/Comma-separated_values for more information on the CSV format. The generator provides `operator[]` that can be used to construct the actual decorator. For example:

`csv_decor[ stream << attr< std::string >("MyAttr") ]`

For wide-character formatting there is the similar `wcsv_decor` decorator generator object.